Index: include/ptlib_extras.h
===================================================================
RCS file: /cvsroot/h323plus/h323plus/include/ptlib_extras.h,v
retrieving revision 1.11
diff -u -p -r1.11 ptlib_extras.h
--- include/ptlib_extras.h	3 Oct 2011 16:02:58 -0000	1.11
+++ include/ptlib_extras.h	13 Nov 2011 12:25:06 -0000
@@ -295,7 +295,7 @@ template <class K, class D> class PSTLDi
           for (unsigned i = pos+1; i < sz; ++i) {
              typename std::map< unsigned, std::pair<K, D*>, PSTLSortOrder >::iterator j = this->find(i);
              DictionaryEntry entry =  make_pair(j->second.first,j->second.second) ;
-             insert(pair<unsigned, std::pair<K, D*> >(newpos,entry));
+             this->insert(pair<unsigned, std::pair<K, D*> >(newpos,entry));
              newpos++;
              this->erase(j);
           }
@@ -323,7 +323,7 @@ template <class K, class D> class PSTLDi
 
           unsigned pos = this->size();
           DictionaryEntry entry = make_pair(key,obj);
-          insert(pair<unsigned, std::pair<K, D*> >(pos,entry));
+          this->insert(pair<unsigned, std::pair<K, D*> >(pos,entry));
           return true;
       }
 
@@ -627,7 +627,7 @@ template <class D> class PSTLList : publ
              typename std::map< unsigned, D*, PSTLSortOrder >::iterator j = this->find(i);
              PAssert(j != this->end() , psprintf("Index not found: %u sz: %u",i,this->size()));
              D* entry =  j->second;
-             insert(std::pair<unsigned, D*>(newpos,entry));
+             this->insert(std::pair<unsigned, D*>(newpos,entry));
              newpos++;
              this->erase(j);
           }
@@ -651,7 +651,7 @@ template <class D> class PSTLList : publ
           PWaitAndSignal m(dictMutex);
 
           unsigned pos = this->size();
-          insert(std::pair<unsigned, D*>(pos,obj));
+          this->insert(std::pair<unsigned, D*>(pos,obj));
           return pos;
       }
 
@@ -685,13 +685,13 @@ template <class D> class PSTLList : publ
                   for (int i = sz-1; i >= ref; --i) {
                      typename std::map< unsigned, D*, PSTLSortOrder >::iterator it = this->find(i);
                      D* entry =  it->second;
-                     insert(std::pair<unsigned, D*>(newpos,entry));
+                     this->insert(std::pair<unsigned, D*>(newpos,entry));
                      this->erase(it);
                      newpos--;
                   }
               }
           }
-          insert(std::pair<unsigned, D*>(ref,obj));
+          this->insert(std::pair<unsigned, D*>(ref,obj));
           return ref;        
       }
 
